# Reference

## boost::redis::request::push_range

Appends a new command to the end of the request.

### Synopsis

Declared in `<boost/redis/request.hpp>`

    template<class Range>
    void
    push_range(
        std::string_view cmd,
        Range const& range,
        decltype(std::cbegin(range))* = nullptr);

### Description

Equivalent to the overload taking a range of begin and end iterators.

### Template Parameters

Name | Description
Range | A type that can be passed to `std::begin()` and `std::end()` to obtain iterators. The range elements should be convertible to `std::string_view` or support `boost_redis_to_bulk`.

### Parameters

Name | Description
cmd | The command to execute. It should be a redis or sentinel command, like `"SET"`.
range | Range containing the command arguments.

Created with MrDocs